package br.mp.mprj.portal.portlet.gestaomensagens.job;

import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.kernel.messaging.Message;
import com.liferay.portal.kernel.messaging.MessageListener;
import com.liferay.portal.kernel.messaging.MessageListenerException;

/**
 * Job (Cron) respons&aacute;vel por enviar os e-mails 
 * das mensagens aprovadas e pendentes de agendamento.
 * @author Henrique Simoes
 */
public class AgendamentoJob implements MessageListener {
	
	private static final Log _log = LogFactoryUtil.getLog(AgendamentoJob.class);

	@Override
	public void receive(Message message) throws MessageListenerException {
		try {
			_log.info("Início do JOB na Classe AgendamentoJob.");
			AgendamentoJobUtil.enviaMensagensAgendadas();
		} catch (PortalException e) {
			_log.error("Ocorreu uma falha durante o processo de envio de emails." , e);
		}
	}

}
